### org.jfree.layouting.input.style.keys.font

# Class FontStyleKeys

- `java.lang.Object`
- - `org.jfree.layouting.input.style.keys.font.FontStyleKeys`

`public class FontStyleKeys`
`extends java.lang.Object`

http://www.w3.org/TR/css3-fonts/

Author:
  Thomas Morgner

  ## Field Summary

  `static StyleKey`

  `FONT_EFFECT`
    Font-Effects are not used yet.

  `static StyleKey`

  `FONT_EMPHASIZE_POSITION`
    Font-Emphasize is not used yet.

  `static StyleKey`

  `FONT_EMPHASIZE_STYLE`
    Font-Emphasize is not used yet.

  `static StyleKey`

  `FONT_FAMILY`
    The font-family holds the fully resolved name of an valid font.

  `static StyleKey`

  `FONT_NAME`
    If used in a @font rule, this defines an unique name/handle for a font definition.

  `static StyleKey`

  `FONT_PITCH`
    A descriptor for @font rules, telling the system that the font either has a fixed width for each char ('fixed') or that each char may have a different width ('variable').

  `static StyleKey`

  `FONT_SIZE`
    The font-size holds the size of the font in points.

  `static StyleKey`

  `FONT_SIZE_ADJUST`
    The font-size-adjust is not used for now.

  `static StyleKey`

  `FONT_SMOOTH`
    The font-smooth controls the anti-aliasing for the rendering process.

  `static StyleKey`

  `FONT_STRETCH`

  `static StyleKey`

  `FONT_STYLE`

  `static StyleKey`

  `FONT_VARIANT`

  `static StyleKey`

  `FONT_WEIGHT`

  `static StyleKey`

  `MAX_FONT_SIZE`
    Used in conjunction with text-align-last: size;

  `static StyleKey`

  `MIN_FONT_SIZE`
    Used in conjunction with text-align-last: size;

  `static StyleKey`

  `X_FONT_SMOOTH_FLAG`
    A simple unconditional flag.

## Field Details

### FONT_EFFECT

    public static final StyleKey FONT_EFFECT

> Font-Effects are not used yet. It should be implemented later, if possible.

### FONT_EMPHASIZE_POSITION

    public static final StyleKey FONT_EMPHASIZE_POSITION

> Font-Emphasize is not used yet. It is needed for proper Asian font support.

### FONT_EMPHASIZE_STYLE

    public static final StyleKey FONT_EMPHASIZE_STYLE

> Font-Emphasize is not used yet. It is needed for proper Asian font support.

### FONT_FAMILY

    public static final StyleKey FONT_FAMILY

> The font-family holds the fully resolved name of an valid font. The font-family value may be null, if the specified font resolved to 'none'.

### FONT_NAME

    public static final StyleKey FONT_NAME

> If used in a @font rule, this defines an unique name/handle for a font definition. If used in any other style rule, this references to a previously defined font. If that font is not defined, the key is ignored. This is another idea stolen from OpenOffice :)

### FONT_PITCH

    public static final StyleKey FONT_PITCH

> A descriptor for @font rules, telling the system that the font either has a fixed width for each char ('fixed') or that each char may have a different width ('variable'). This is another idea stolen from OpenOffice :)

### FONT_SIZE

    public static final StyleKey FONT_SIZE

> The font-size holds the size of the font in points.

### FONT_SIZE_ADJUST

    public static final StyleKey FONT_SIZE_ADJUST

> The font-size-adjust is not used for now.

### FONT_SMOOTH

    public static final StyleKey FONT_SMOOTH

> The font-smooth controls the anti-aliasing for the rendering process. This may affect the rendered font size. Resolving the font-smooth property must be done elsewhere (translating auto, never, always or the size specifications into a boolean).

### FONT_STRETCH

    public static final StyleKey FONT_STRETCH

### FONT_STYLE

    public static final StyleKey FONT_STYLE

### FONT_VARIANT

    public static final StyleKey FONT_VARIANT

### FONT_WEIGHT

    public static final StyleKey FONT_WEIGHT

### MAX_FONT_SIZE

    public static final StyleKey MAX_FONT_SIZE

> Used in conjunction with text-align-last: size;

### MIN_FONT_SIZE

    public static final StyleKey MIN_FONT_SIZE

> Used in conjunction with text-align-last: size;

### X_FONT_SMOOTH_FLAG

    public static final StyleKey X_FONT_SMOOTH_FLAG

> A simple unconditional flag. This value will be computed during the resolve pass. It results in either FontSmooth.ALWAYS or FontSmooth.NEVER.